.s-header {
    position: relative;
    height: 56px;
    width: 100%;
    top: 0;
    left: 0;
    background-color: $gray;
    z-index: 30;
    margin-bottom: 50px;
    
    .container-fluid {
        height: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    @media(min-width: $md) {
        height: 80px;
    }
    @media(min-width: $lg) {
        .container-fluid {
            padding-left: 32px;
            padding-right: 32px;
        }
    }
}

.s-header__logo {
    display: inline-block;
    vertical-align: middle;
    margin-right: 14px;
    img {
        display: block;
        width: 110px;
        height: auto;
    }

    &.mob {
        img {
            width: 32px;
            height: 32px;
        }
    }

    @media(min-width: $md) {
        margin-right: 20px;
        position: relative;
        img {
            width: 156px;
        }
    }

    @media(min-width: $lg) {
        margin-right: 32px;
    }
}

.s-header__version {
    position: relative;
    align-self: center;
    .btn-dropdown {
        width: 100%;
    }
    .btn-dropdown ul {
        width: auto;
    }
    .btn {
        font-weight: 300;
        height: 36px;
        border-radius: 30px;
    }
}

// header network select -----------

.s-header__network {
    position: relative;
    margin-right: 10px;
    align-self: center;

    .logo {
        display: block;
        width: 24px;
        height: 24px;
        background-color: rgba(#fff, 0.2);
        border-radius: 50%;
        flex-grow: 0;
        flex-shrink: 0;
        img {
            display: block;
            width: 100%;
            height: auto;
        }
    }
    .name {
        padding-top: 2px;
        font-weight: 300;
        text-align: left;
    }

    @media(min-width: $md) {
        margin-right: 32px;
        margin-right: 20px;
    }

}

.s-header__network-btn {
    position: relative;
    padding-left: 18px;
    border-radius: 6px;
    .logo {
        position: absolute;
        left: -20px;
        top: 50%;
        transform: translateY(-50%);
        width: 36px;
        height: 36px;
    }
    .name {
        display: none;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        padding-left: 8px;
    }

    @media(min-width: $md) {
        width: auto;
        max-width: none;
        height: 36px;
        .logo {
            width: 40px;
            height: 40px;
            left: -24px;
        }
        
    }
    @media(min-width: $lg) {
        .name {
            display: block;
        }
    }
}

.s-header__network-dropdown {
    position: fixed;
    width: 100%;
    height: 100vh;
    background: rgba($gray, 0.4);
    backdrop-filter: blur(10px);
    z-index: 100;
    left: 0;
    top: 0;
    //display: flex;

    .dropdown-header {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 18px;
        padding: 14px 24px 12px;
        background-color: $gray2;
        .close {
            padding: 4px;
            opacity: 0.6;
            cursor: pointer;
            img {
                display: block;
            }
            &:hover {
                opacity: 1;
            }
        }
    }

    .dropdown-wrap {
        position: relative;
        background: #1E2121;
        max-width: 100%;
        height: 90%;
        top: 10%;
        padding-top: 58px;
        ul {
            background: transparent;
            margin: 0;
            padding: 0;
            width: 100%;
            border-radius: 0;
            &:last-child {
                border-top: 1px solid rgba(255, 255, 255, 0.1);                
            }
        }
        li {
            border: 0;
            &.d-lg-none {
                border-bottom: 1px solid rgba(255, 255, 255, 0.1);
            }
        }

        .scroll {
            padding: 8px 0;
            height: 100%;
            overflow: auto;
        }
    }

    .item {
        font-size: 18px;
        padding: 10px 24px;
        display: flex;
        align-items: center; 
        &:hover {
            opacity: 1;
            background-color: rgba(255,255,255,.1);
        }
        .logo {
            width: 30px;
            height: 30px;
        }
        .name {
            padding-left: 12px;
        }
    }
    
    @media(min-width: $md) {
        padding-top: 26px;
        position: absolute;
        right: 0;
        left: auto;
        top: 100%;
        z-index: 10;
        width: auto;
        height: auto;
        background: transparent;
        background: transparent;
        backdrop-filter: none;
        .dropdown-header {
            display: none;
        }

        .dropdown-wrap {
            width: 220px;
            border: 1px solid rgba(255, 255, 255, 0.1);
            border-top: 0;
            border-bottom-left-radius: 10px;
            border-bottom-right-radius: 10px; 
            height: auto;
            top: 0;
            padding-top: 0;
            ul {
                &:last-child {
                    border-bottom-left-radius: 10px;
                    border-bottom-right-radius: 10px;                
                }
            }
            .scroll {
                padding: 0;
                overflow: visible;
            }
        }

        .item {
            font-size: 14px;
            padding: 10px 16px;
            .logo {
                width: 24px;
                height: 24px;
            }
            .name {
                padding-left: 8px;
            }
        }

    }
}


// user block 

.s-user {
    text-align: right;
    font-size: 14px;
    line-height: 21px;
    text-transform: uppercase;
    display: flex;
    justify-content: flex-end;
    align-items: center;

    .btn-copy {
        display: none;
        font-size: 12px;
        height: 32px;
        background: rgba(#fff,.05);
        padding: 0 12px 0 30px;
        border-bottom-right-radius: 6px;
        border-top-right-radius: 6px;
        &:hover {
            background: rgba(#fff,.1);
        }
    }

    .btn {
        font-size: 16px;
        padding: 8px 14px 6px;
        margin-right: 15px;
    }

    @media(min-width: $md) {
        font-size: 18px;

        .btn-copy {
            display: block;
            font-size: 14px;
            height: 36px;
            width: 36px;
            padding: 0;
            margin-left: 2px;
        }

        .btn {
            font-size: 18px;
            padding: 8px 22px 6px;
            margin-right: 24px;
        }
    }

}

.s-user__toggle {
    display: flex;
    align-items: center;
    cursor: pointer;

    &:hover {
        .s-user__data {
            background: rgba(#fff, 0.1);
        }
    }
}

.s-user__avatar {
    position: relative;
    cursor: pointer;
    z-index: 1;

    .img {
        canvas {
            display: block;
            border-radius: 50%;
        }
        img {
            display: block;
            height: 36px;
            width: 36px;
        }
    }

    @media(min-width: $sm) {
        .img {
            display: block;
        }
    }

    @media(min-width: $md) {
        margin-right: -20px;
        .img {
            display: block;
            img {
                height: 40px;
                width: 40px;
            }
        }
    }
}

.s-user__data {
    display: none;
    background: rgba(#fff,.05);
    height: 36px;
    font-size: 14px;
    align-items: center;
    padding: 0 8px 0 32px;
    padding-top: 3px;
    span {
        display: block;
        line-height: 1em;
    }
    @media(min-width: $md) {
        display: flex;
    }
}

// menu for the user
.s-user__menu {
    position: absolute;
    top: 100%;
    right: 0;
    padding: 0 15px;
    width: 270px;
    z-index: 20;
    //padding-top: 1px;
    .inner {
        list-style-type: none;
        margin: 0;
        padding: 0;
        background: #1E2121;
        border: 1px solid rgba(255, 255, 255, 0.1);
        border-top-color: $black;
        border-radius: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        padding: 0;
        overflow: hidden;
    }
    .item {
        padding: 18px 24px 16px;
        text-decoration: none;
        display: block;
        background: transparent;
        width: 100%;
        text-align: left;
        border: 0;
        color: #fff;
    }
    a.item, button.item {
        &:hover {
            background-color: rgba(#fff, 0.1);
        }
    }

    .disconnect {
        background-image: url($img-logout);
        background-position: right 14px top 50%;
        background-repeat: no-repeat;
        padding: 18px 24px 16px;
        border-top: 1px solid rgba(255, 255, 255, 0.1);
    }

    .address {
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    }
    @media(min-width: $md) {
        right: 34px;
    }
    @media(min-width: $lg) {
        right: 54px;
    }
}

// site navigation

.s-header__nav {
    display: none;
    position: absolute;
    top: 100%;
    width: 100%;
    left: 0;
    background-color: $gray;
    padding: 24px 15px;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    max-height: calc(100vh - 56px);
    overflow: auto;
    z-index: 10;
    a {
        text-decoration: none;
    }

    .nav-item {
        font-size: 14px;
        font-size: 18px;
        margin-bottom: 8px;
        .link {
            display: flex;
            align-items: center;
            padding: 8px 0;
            cursor: pointer;
            &:hover {
                color: rgba(#fff, 0.6);
            }
        }   
    }

    .nav-dropdown {
        padding: 8px 0 0 28px;
        font-size: 18px;
        line-height: 32px;

        .btn {
            width: auto;
            display: inline-flex;
            border-color: #fff;
            &:hover {
                background: #fff;
            }
        }
    }

    .dropdown-item {
        margin-bottom: 16px;
        small {
            display: block;
            opacity: 0.6;
        }
        &:hover {
            opacity: 0.6;
        }
    }

    @media(min-width: $md) {
        display: block !important;
        margin-left: 20px;
        padding: 0;
        position: static;
        border-bottom: 0;
        height: 100%;
        overflow: visible;
        .container {
            display: flex;
            align-items: center;
            width: auto;
            padding: 0;
            height: 100%;
        }
        .nav-item {
            position: relative;
            height: 100%;
            font-size: 14px;
            margin-right: 16px;
            margin-bottom: 0;
            padding-top: 3px;
            .link {
                height: 100%;
            }
            &:hover {
                .nav-dropdown {
                    display: block;
                }
            }
        }

        .nav-dropdown {
            position: absolute;
            display: none;
            top: 100%;
            background-color: $gray;
            border-bottom-left-radius: 20px;
            border-bottom-right-radius: 20px;
            border: 1px solid rgba(255, 255, 255, 0.1);
            border-top-color: $black;
            padding-bottom: 16px;
            padding-top: 16px;
        }

        .dropdown-launchpads {
            width: 305px;
            left: 0;
        }
        .dropdown-services {
            width: 600px;
            right: 0;
            padding-bottom: 32px;
        }
    }
    @media(min-width: $lg) {
        margin-left: 32px;
        .nav-item {
            font-size: 16px;
            margin-right: 32px;
        }
        .dropdown-services {
            left: 0;
        }
    }
}

.mob-nav-bg  {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    @media(min-width: $md) {
        display: none !important;
    }
}


.s-header__nav-toggle {
    cursor: pointer;
    user-select: none;
    background: none;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
    height: 36px;

    &.opened {
		.burger-lines {
		    background: transparent !important; // fade away the middle line
		 
		    &:before,
		    &:after {
				transition: top $squish-speed $ease-out-quart, transform $squish-speed $squish-speed $ease-out-quart;
				top: 0;
                background: $grad;
		    }

		    &:before {
				transform: rotate3d(0,0,1,45deg) scale(1.1); 
		    }

		    &:after {
				transform: rotate3d(0,0,1,-45deg) scale(1.1); 
		    }
		}	

        ~ .s-header__nav,
        ~ .mob-nav-bg {
            display: block;
        }
	}

    .burger-lines {
        display: inline-block;
        cursor: pointer;
        user-select: none;
        transition: all $squish-speed ease;
        width: 30px;
        height: 4px;
        background-color: rgba(#fff, 0.8);
        position: relative;
        border-radius: 4px;
    
        &:before,
        &:after {
            content: '';
            display: inline-block;
            width: 30px;
            height: 4px;
            background-color: rgba(#fff, 0.8);
            position: absolute;
            left: 0;
            transform-origin: 50% 50%;
            border-radius: 4px;
            transition: top $squish-speed $squish-speed $ease-out-quart, transform $squish-speed $ease-out-quart, background-color $squish-speed $ease-out-quart;
        }
    
        &:before { 
              top: 9px; 
        }
        &:after { 
              top: -9px; 
        }
    
    }

    @media(min-width: $md) {
        display: none;
    }
}